<script>
    import Tabs from "/src/components/nav/tabs.svelte"
    import TabsMobile from "/src/components/nav/tabsMobile.svelte"
    export let data
    let mobileMenu = false
    function toggleMobileMenu() {
        mobileMenu = !mobileMenu
    }
</script>

<div class="bg-white">
    <div
        class="fixed flex inset-0 z-40 transition-opacity ease-linear duration-300 opacity-0 invisible lg:hidden"
        class:mobileMenu
        role="dialog"
        aria-modal="true">
        <div
            class="relative max-w-xs w-full bg-white shadow-xl pb-12 flex flex-col overflow-y-auto">
            <div class="px-4 pt-5 pb-2 flex">
                <button
                    on:click={toggleMobileMenu}
                    type="button"
                    class="-m-2 p-2 rounded-md inline-flex items-center justify-center text-gray-400">
                    <span class="sr-only">Fermer le menu</span>
                    <!-- Heroicon name: outline/x -->
                    <svg
                        class="h-6 w-6"
                        xmlns="http://www.w3.org/2000/svg"
                        fill="none"
                        viewBox="0 0 24 24"
                        stroke="currentColor"
                        aria-hidden="true">
                        <path
                            stroke-linecap="round"
                            stroke-linejoin="round"
                            stroke-width="2"
                            d="M6 18L18 6M6 6l12 12" />
                    </svg>
                </button>
            </div>
            <TabsMobile {data} />
        </div>
    </div>
    <header class="relative bg-white">
        <p
            class="bg-topBar h-10 flex items-center justify-center text-sm font-medium text-white px-4 sm:px-6 lg:px-8">
            {data.headerText}
        </p>

        <nav aria-label="Top" class="max-w-7xl mx-auto px-4 sm:px-6 lg:px-8">
            <div class="border-b border-gray-200">
                <div class="h-16 flex items-center">
                    <!-- Mobile menu toggle, controls the 'mobileMenuOpen' state. -->
                    <button
                        on:click={toggleMobileMenu}
                        type="button"
                        class="bg-white p-2 rounded-md text-gray-400 lg:hidden">
                        <span class="sr-only">Menu</span>
                        <!-- Heroicon name: outline/menu -->
                        <svg
                            class="h-6 w-6"
                            xmlns="http://www.w3.org/2000/svg"
                            fill="none"
                            viewBox="0 0 24 24"
                            stroke="currentColor"
                            aria-hidden="true">
                            <path
                                stroke-linecap="round"
                                stroke-linejoin="round"
                                stroke-width="2"
                                d="M4 6h16M4 12h16M4 18h16" />
                        </svg>
                    </button>

                    <!-- Logo -->
                    <div class="ml-4 flex lg:ml-0">
                        <a href="#">
                            <span class="sr-only">Workflow</span>
                            <img
                                class="h-8 w-auto"
                                src="logo.svg"
                                alt="numero4 skateshop logo" />
                        </a>
                    </div>
                    <div class="hidden lg:ml-8 lg:block lg:self-stretch">
                        <div class="h-full flex space-x-8">
                            <Tabs {data} />
                        </div>
                    </div>
                    <div class="ml-auto flex items-center">
                        <div
                            class="hidden lg:flex lg:flex-1 lg:items-center lg:justify-end lg:space-x-6">
                            <a
                                href="sign-in"
                                class="text-sm font-medium text-gray-700 hover:text-gray-800"
                                >Se connecter</a>
                            <span
                                class="h-6 w-px bg-gray-200"
                                aria-hidden="true" />
                            <a
                                href="#"
                                class="text-sm font-medium text-gray-700 hover:text-gray-800"
                                >S'inscrire</a>
                        </div>

                        <!-- Search -->
                        <div class="flex lg:ml-6">
                            <a
                                href="#"
                                class="p-2 text-gray-400 hover:text-gray-500">
                                <span class="sr-only">Rechercher</span>
                                <!-- Heroicon name: outline/search -->
                                <svg
                                    class="w-6 h-6"
                                    xmlns="http://www.w3.org/2000/svg"
                                    fill="none"
                                    viewBox="0 0 24 24"
                                    stroke="currentColor"
                                    aria-hidden="true">
                                    <path
                                        stroke-linecap="round"
                                        stroke-linejoin="round"
                                        stroke-width="2"
                                        d="M21 21l-6-6m2-5a7 7 0 11-14 0 7 7 0 0114 0z" />
                                </svg>
                            </a>
                        </div>

                        <!-- Cart -->
                        <div class="ml-4 flow-root lg:ml-6">
                            <a
                                href="#"
                                class="group -m-2 p-2 flex items-center">
                                <!-- Heroicon name: outline/shopping-bag -->
                                <svg
                                    class="flex-shink-0 h-6 w-6 text-gray-400 group-hover:text-gray-500"
                                    xmlns="http://www.w3.org/2000/svg"
                                    fill="none"
                                    viewBox="0 0 24 24"
                                    stroke="currentColor"
                                    aria-hidden="true">
                                    <path
                                        stroke-linecap="round"
                                        stroke-linejoin="round"
                                        stroke-width="2"
                                        d="M16 11V7a4 4 0 00-8 0v4M5 9h14l1 12H4L5 9z" />
                                </svg>
                                <span
                                    class="ml-2 text-sm font-medium text-gray-700 group-hover:text-gray-800"
                                    >0</span>
                                <span class="sr-only"
                                    >produits dans le panier</span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </nav>
    </header>
</div>

<style>
    .mobileMenu {
        @apply opacity-100;
        @apply visible;
    }
</style>
